
Summary: Window Manager Improved 2, a X11 window manager for hackers
Name: wmii
Version: 0.20050526
License: MIT
Release: %mkrel 1
Group: Graphical desktop/Other
URL: http://wmi.berlios.de/
Source: http://wmi.modprobe.de/snaps/wmii-0-20050526.tar.bz2
Source1: http://wmi.modprobe.de/uploads/WMI/wmipaper.pdf.bz2
Patch0:	wmii-config.patch.bz2
BuildRoot: %{_tmppath}/root-%{name}-%{version}
BuildRequires: gcc freetype2-devel autoconf automake cairo-devel pyrex
Requires: xterm


%description
WMI is a new lightweight window manager for X11, which attempts to
combine the best features of LarsWM, Ion, evilwm and ratpoison into 
one window manager.

window manager improved 2 - is the next generation of the WMI 
project. Due to a complete rewrite it is highly modularized and 
uses a new configuration and inter-process communication interface 
which is oriented on the 9p protocol of the plan9 operating system. 
It achieves following goals: 

reduction of compile time 
reduction of memory usage 
reduction of lines of code 
performance improvements 
improved rendering capabilities (optional cairo) 
improved configuration and IPC interface (libixp) 
modularized components 

wmi was a single binary. Due to the modularization wmii consists of 
following binaries: 

wmii (core window manager) 
wmiinput (input mode) 
wmibar (generic bar, also usable for basic menus) 
wmipager (workspace pager) 
wmir (next generation wmiremote) 
wmirat (the rat - shortcut handler)


%package -n python-%name
Summary: Window Manager Improved 2 python bindings
Requires: python
Group: Development/Python

%description -n python-%name
WMI is a new lightweight window manager for X11, which attempts to
combine the best features of LarsWM, Ion, evilwm and ratpoison into
one window manager.

%package devel
Summary: Window Manager Improved 2 devel files
Group: Development/C

%description devel
WMI is a new lightweight window manager for X11, which attempts to
combine the best features of LarsWM, Ion, evilwm and ratpoison into
one window manager.


%prep
%setup -n wmii-0-20050526
%patch0 -p1
bunzip2 -c %{SOURCE1} > wmipaper.pdf




%build
%make PREFIX=%{_prefix} CONFPREFIX=%{_sysconfdir} MANPREFIX=%{_mandir} \
  INCDIR=%{_includedir} LIBDIR=%{_libdir} X11DIR=%{_prefix}/X11R6/ \
  LIBSUFFIX=%{_lib}

# build python bindings
cd libixp/python
%make
cd -




%install
%{__rm} -rf %{buildroot}

# Note: the makeinstall macro doesn't use DESTDIR correctly.
%{__make} DESTDIR=%{buildroot} PREFIX=%{_prefix} CONFPREFIX=%{_sysconfdir} MANPREFIX=%{_mandir} \
  INCDIR=%{_includedir} LIBDIR=%{_libdir} X11DIR=%{_prefix}/X11R6/ \
  LIBSUFFIX=%{_lib} install

# install python bindings
cd libixp/python
python setup.py install --root=$RPM_BUILD_ROOT
cd -

# install devel files
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}
find lib* -name '*.a' -exec cp {} $RPM_BUILD_ROOT%{_libdir} \; -print
find lib* -name '*.h' -exec cp {} $RPM_BUILD_ROOT%{_includedir} \; -print

# Install generated scripts to hook up WMI into gdm, xdm, and Co.
%__mkdir -p $RPM_BUILD_ROOT%_sysconfdir/X11/wmsession.d
%__cat >    $RPM_BUILD_ROOT%_sysconfdir/X11/wmsession.d/19%name << EOF
NAME=%name
EXEC=%{_bindir}/%name
DESC=%summary
SCRIPT:
exec %{_bindir}/%name
EOF



%clean
%{__rm} -rf ${buildroot}


%post
%make_session

%postun
%make_session


%files
%defattr(0644, root, root, 0755)
%attr(0755, root, root) %{_bindir}/*
%{_mandir}/man*/*
%dir %_sysconfdir/wmii
%attr(0755, root, root) %config(noreplace) %_sysconfdir/wmii/*
%config(noreplace) %_sysconfdir/X11/wmsession.d/19%name
%doc LICENSE README CHANGES wmipaper.pdf


%files -n python-%{name}
%defattr(0644, root, root, 0755)
%{_libdir}/python%{pyver}/site-packages/*
%doc libixp/python/pywmir libixp/python/testserver.py

%files devel
%defattr(0644, root, root, 0755)
%{_libdir}/*.a
%{_includedir}/*
%doc LICENSE README CHANGES

%changelog
* Fri May 27 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.20050526-1mdk
- initial contrib

